Bug 1031265 - SELinux is preventing /usr/libexec/gnome-settings-daemon from 'write' accesses on the directory /dev/shm.
SELinux is preventing /usr/libexec/gnome-settings-daemon from 'write' accesse...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:bd144f32cfaeb6bfbb14c48e81b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-16 04:35 EST by Nicolas Mailhot
Modified: 2013-12-06 12:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-06 12:23:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2013-11-16 04:35:11 EST
Description of problem:
SELinux is preventing /usr/libexec/gnome-settings-daemon from 'write' accesses on the directory /dev/shm.

*****  Plugin catchall (100. confidence) suggests   **************************

If vous pensez que gnome-settings-daemon devrait être autorisé à accéder write sur shm directory par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep gnome-settings- /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:device_t:s0
Target Objects                /dev/shm [ dir ]
Source                        gnome-settings-
Source Path                   /usr/libexec/gnome-settings-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnome-shell-3.11.1-1.fc21.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-1.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.13.0-0.rc0.git3.1.fc21.x86_64 #1
                              SMP Wed Nov 13 15:42:53 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-11-15 11:05:53 CET
Last Seen                     2013-11-15 11:06:00 CET
Local ID                      e1fd339a-fba9-48b8-b86d-e38dc17f1003

Raw Audit Messages
type=AVC msg=audit(1384509960.790:71): avc:  denied  { write } for  pid=1148 comm="gnome-shell" name="/" dev="tmpfs" ino=6720 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:device_t:s0 tclass=dir


type=SYSCALL msg=audit(1384509960.790:71): arch=x86_64 syscall=open success=no exit=EACCES a0=7fffaa46b870 a1=a00c2 a2=1c0 a3=0 items=0 ppid=943 pid=1148 auid=4294967295 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 ses=4294967295 tty=(none) comm=gnome-shell exe=/usr/bin/gnome-shell subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: gnome-settings-,xdm_t,device_t,dir,write

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.13.0-0.rc0.git3.1.fc21.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-12-06 12:23:52 EST
It has been fixed.

Note You need to log in before you can comment on or make changes to this bug.